#include<iostream>

using namespace std;

bool z[100000];

int main(){
    int a, b, l, cnt, t;
    cin >>a >> b >> l;
    cnt=l;
    for(int x=1; x*a<l; x++){
        for(int y=1; y*b+x*a<=l; y++){
            t=y*b+x*a;
            if(t<=l and t>0 and z[t]==0){
                cnt--;
                z[t]=1;
            }
        }
    }
    cout << cnt << endl;
    return 0;
}

